Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserTypeBot

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserType
it.tdlight.jni.TdApi.UserTypeBot

Enclosing class:
  TdApi

public static final class TdApi.UserTypeBot extends TdApi.UserType
A bot (see https://core.telegram.org/bots).

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canJoinGroups`
True, if the bot can be invited to basic group and supergroup chats.
`boolean`
`canReadAllGroupMessages`
True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot.
`static final int`
`CONSTRUCTOR`
`String`
`inlineQueryPlaceholder`
Placeholder for inline queries (displayed on the application input field).
`boolean`
`isInline`
True, if the bot supports inline queries.
`boolean`
`needLocation`
True, if the location of the user is expected to be sent with every inline query to this bot.

## Constructor Summary

Constructors
Constructor
Description
`UserTypeBot()`
A bot (see https://core.telegram.org/bots).
`UserTypeBot(boolean canJoinGroups, boolean canReadAllGroupMessages, boolean isInline, String inlineQueryPlaceholder, boolean needLocation)`
A bot (see https://core.telegram.org/bots).
`UserTypeBot(DataInput input)`
A bot (see https://core.telegram.org/bots).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### canJoinGroups

public boolean canJoinGroups
True, if the bot can be invited to basic group and supergroup chats.

### canReadAllGroupMessages

public boolean canReadAllGroupMessages
True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot. In private and channel chats a bot can always read all messages.

### isInline

public boolean isInline
True, if the bot supports inline queries.

### inlineQueryPlaceholder

public String inlineQueryPlaceholder
Placeholder for inline queries (displayed on the application input field).

### needLocation

public boolean needLocation
True, if the location of the user is expected to be sent with every inline query to this bot.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UserTypeBot

public UserTypeBot()
A bot (see https://core.telegram.org/bots).

### UserTypeBot

public UserTypeBot(boolean canJoinGroups, boolean canReadAllGroupMessages, boolean isInline, String inlineQueryPlaceholder, boolean needLocation)
A bot (see https://core.telegram.org/bots).

Parameters:
  `canJoinGroups` - boolean True, if the bot can be invited to basic group and supergroup chats.
  `canReadAllGroupMessages` - boolean True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot. In private and channel chats a bot can always read all messages.
  `isInline` - boolean True, if the bot supports inline queries.
  `inlineQueryPlaceholder` - String Placeholder for inline queries (displayed on the application input field).
  `needLocation` - boolean True, if the location of the user is expected to be sent with every inline query to this bot.

### UserTypeBot

public UserTypeBot(DataInput input) throws IOException
A bot (see https://core.telegram.org/bots).

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`